|
|||||||||
| Home >> All >> com >> lutris >> appserver >> server >> [ httpPresentation overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
com.lutris.appserver.server.httpPresentation
Interface HttpPresentationRequest

- public interface HttpPresentationRequest
Object passed to presentation objects that is used to access HTTP request data.
| Method Summary | |
java.lang.String |
getAppFileURIPath(java.lang.String file)
Get the URI path for a file in the application. |
java.lang.String |
getApplicationPath()
Returns the part of the request URI that refers to the application. |
java.lang.String |
getAuthType()
Returns the authentication scheme of the request, or null if none. |
int |
getContentLength()
Returns the size of the request entity data, or -1 if not known. |
java.lang.String |
getContentType()
Returns the Internet Media Type of the request entity data, or null if not known. |
javax.servlet.http.Cookie[] |
getCookies()
Gets the array of cookies found in this request. |
long |
getDateHeader(java.lang.String name)
Returns the value of a date header field, or -1 if not found. |
java.lang.String |
getHeader(java.lang.String name)
Returns the value of a header field, or null if not known. |
java.util.Enumeration |
getHeaderNames()
Returns an enumeration of strings representing the header names for this request. |
javax.servlet.http.HttpServletRequest |
getHttpServletRequest()
Returns the original HttpServletRequest. |
HttpPresentationInputStream |
getInputStream()
Returns an input stream for reading the request body. |
int |
getIntHeader(java.lang.String name)
Returns the value of an integer header field, or -1 if not found. |
java.lang.String |
getMethod()
Returns the method with which the request was made. |
java.lang.String |
getParameter(java.lang.String name)
Returns a string containing the lone value of the specified query parameter, or null if the parameter does not exist. |
java.util.Enumeration |
getParameterNames()
Returns the parameter names for this request as an enumeration of strings, or an empty enumeration if there are no parameters. |
java.lang.String[] |
getParameterValues(java.lang.String name)
Returns the values of the specified query parameter for the request as an array of strings, or a 0 length array if the named parameter does not exist. |
java.lang.String |
getPathInfo()
Returns optional extra path information following the presentation path, but immediately preceding the query string. |
java.lang.String |
getPathTranslated()
Returns extra path information translated to a real path. |
java.lang.String |
getPresentationObjectPath()
Returns the part of the request URI that refers to the presentation object being invoked. |
java.lang.String |
getPresentationObjectRelativePath()
Returns the part of the request URI after the presentation manager servlet, upto and including the presentation object .po, but not any path info. |
java.lang.String |
getPresentationPath()
Deprecated. This method was named in a confusing manner; it returns the application, not presentation object path. Use getApplicationPath(). |
java.lang.String |
getPresentationURI()
Returns the presentation URI. |
java.lang.String |
getProtocol()
Returns the protocol and version of the request as a string of the form <protocol>/<major version>.<minor
version>. |
java.lang.String |
getQueryString()
Returns the query string part of the presentation URI, or null if none. |
java.lang.String |
getRemoteAddr()
Returns the IP address of the agent that sent the request. |
java.lang.String |
getRemoteHost()
Returns the fully qualified host name of the agent that sent the request. |
java.lang.String |
getRemoteUser()
Returns the name of the user making this request, or null if not known. |
java.lang.String |
getRequestURI()
Returns the request URI as a URL. |
java.lang.String |
getScheme()
Returns the scheme of the URL used in this request, for example "http", "https", or "ftp". |
java.lang.String |
getServerName()
Returns the host name of the server that received the request. |
int |
getServerPort()
Returns the port number on which this request was received. |
boolean |
isRequestedSessionIdFromCookie()
Indicates whether client submitted their session id through a cookie |
boolean |
isRequestedSessionIdFromUrl()
Indicates whether client submitted their sessionId through a rewritten url |
void |
setRequestedSessionIdFromCookie(boolean isFromCookie)
|
void |
setRequestedSessionIdFromUrl(boolean isFromUrl)
|
| Method Detail |
getHttpServletRequest
public javax.servlet.http.HttpServletRequest getHttpServletRequest()
- Returns the original HttpServletRequest.
getContentLength
public int getContentLength()
throws HttpPresentationException
- Returns the size of the request entity data, or -1 if not known. Same
as the CGI variable CONTENT_LENGTH.
getContentType
public java.lang.String getContentType() throws HttpPresentationException
- Returns the Internet Media Type of the request entity data, or null if
not known. Same as the CGI variable CONTENT_TYPE.
getProtocol
public java.lang.String getProtocol() throws HttpPresentationException
- Returns the protocol and version of the request as a string of
the form
<protocol>/<major version>.<minor version>. Same as the CGI variable SERVER_PROTOCOL.
getScheme
public java.lang.String getScheme()
- Returns the scheme of the URL used in this request, for example
"http", "https", or "ftp". Different schemes have different
rules for constructing URLs, as noted in RFC 1738. The URL used
to create a request may be reconstructed using this scheme, the
server name and port, and additional information such as URIs.
getServerName
public java.lang.String getServerName()
- Returns the host name of the server that received the request.
Same as the CGI variable SERVER_NAME.
getServerPort
public int getServerPort()
- Returns the port number on which this request was received.
Same as the CGI variable SERVER_PORT.
getRemoteAddr
public java.lang.String getRemoteAddr() throws HttpPresentationException
- Returns the IP address of the agent that sent the request. Same as the
CGI variable REMOTE_ADDR.
getRemoteHost
public java.lang.String getRemoteHost() throws HttpPresentationException
- Returns the fully qualified host name of the agent that sent the
request. Same as the CGI variable REMOTE_HOST.
getInputStream
public HttpPresentationInputStream getInputStream() throws HttpPresentationException
- Returns an input stream for reading the request body.
getParameter
public java.lang.String getParameter(java.lang.String name) throws HttpPresentationException
- Returns a string containing the lone value of the specified query
parameter, or null if the parameter does not exist. Presentation
writers should use this method only when they are sure that there is
only one value for the parameter. If the parameter has (or could have)
multiple values, then use getParameterValues. If a multiple valued
parameter name is passed as an argument, the return value is
implementation dependent.
getParameterValues
public java.lang.String[] getParameterValues(java.lang.String name) throws HttpPresentationException
- Returns the values of the specified query parameter for the request as
an array of strings, or a 0 length array if the named parameter does
not exist.
getParameterNames
public java.util.Enumeration getParameterNames() throws HttpPresentationException
- Returns the parameter names for this request as an enumeration
of strings, or an empty enumeration if there are no parameters.
getMethod
public java.lang.String getMethod() throws HttpPresentationException
- Returns the method with which the request was made. The returned
value can be "GET", "HEAD", "POST", or an extension method. Same
as the CGI variable REQUEST_METHOD.
getRequestURI
public java.lang.String getRequestURI() throws HttpPresentationException
- Returns the request URI as a URL.
getPresentationURI
public java.lang.String getPresentationURI() throws HttpPresentationException
- Returns the presentation URI.
getPresentationPath
public java.lang.String getPresentationPath() throws HttpPresentationException
- Deprecated. This method was named in a confusing manner; it
returns the application, not presentation object path. Use
getApplicationPath().
- Returns the part of the request URI that refers to the application object being invoked. Analogous to the CGI variable SCRIPT_NAME.
- Returns the part of the request URI that refers to the application object being invoked. Analogous to the CGI variable SCRIPT_NAME.
getPresentationObjectPath
public java.lang.String getPresentationObjectPath() throws HttpPresentationException
- Returns the part of the request URI that refers to the presentation
object being invoked.
getPresentationObjectRelativePath
public java.lang.String getPresentationObjectRelativePath() throws HttpPresentationException
- Returns the part of the request URI after the presentation
manager servlet, upto and including the presentation object .po,
but not any path info.
getApplicationPath
public java.lang.String getApplicationPath() throws HttpPresentationException
- Returns the part of the request URI that refers to the application.
Analogous to the CGI variable SCRIPT_NAME.
getPathInfo
public java.lang.String getPathInfo() throws HttpPresentationException
- Returns optional extra path information following the presentation
path, but immediately preceding the query string. Returns null if
not specified. Same as the CGI variable PATH_INFO.
getPathTranslated
public java.lang.String getPathTranslated() throws HttpPresentationException
- Returns extra path information translated to a real path. Returns
null if no extra path information specified. Same as the CGI variable
PATH_TRANSLATED.
getQueryString
public java.lang.String getQueryString() throws HttpPresentationException
- Returns the query string part of the presentation URI, or null if none.
Same as the CGI variable QUERY_STRING.
getRemoteUser
public java.lang.String getRemoteUser() throws HttpPresentationException
- Returns the name of the user making this request, or null if not
known. The user name is set with HTTP authentication. Whether
the user name will continue to be sent with each subsequent
communication is browser-dependent. Same as the CGI variable
REMOTE_USER.
getAuthType
public java.lang.String getAuthType() throws HttpPresentationException
- Returns the authentication scheme of the request, or null if none.
Same as the CGI variable AUTH_TYPE.
getCookies
public javax.servlet.http.Cookie[] getCookies() throws HttpPresentationException
- Gets the array of cookies found in this request.
isRequestedSessionIdFromCookie
public boolean isRequestedSessionIdFromCookie()
throws HttpPresentationException
- Indicates whether client submitted their session id through a cookie
setRequestedSessionIdFromCookie
public void setRequestedSessionIdFromCookie(boolean isFromCookie)
throws HttpPresentationException
isRequestedSessionIdFromUrl
public boolean isRequestedSessionIdFromUrl()
throws HttpPresentationException
- Indicates whether client submitted their sessionId through a
rewritten url
setRequestedSessionIdFromUrl
public void setRequestedSessionIdFromUrl(boolean isFromUrl)
throws HttpPresentationException
getHeader
public java.lang.String getHeader(java.lang.String name) throws HttpPresentationException
- Returns the value of a header field, or null if not known.
The case of the header field name is ignored.
getIntHeader
public int getIntHeader(java.lang.String name) throws HttpPresentationException
- Returns the value of an integer header field, or -1 if not found.
The case of the header field name is ignored.
getDateHeader
public long getDateHeader(java.lang.String name) throws HttpPresentationException
- Returns the value of a date header field, or -1 if not found.
The case of the header field name is ignored.
getHeaderNames
public java.util.Enumeration getHeaderNames() throws HttpPresentationException
- Returns an enumeration of strings representing the header names
for this request. Some server implementations do not allow headers
to be accessed in this way, in which case this method will return null.
getAppFileURIPath
public java.lang.String getAppFileURIPath(java.lang.String file) throws HttpPresentationException
- Get the URI path for a file in the application. This converts a path
to the file part of the URL. It adds in the reference to application
servlet.
|
|||||||||
| Home >> All >> com >> lutris >> appserver >> server >> [ httpPresentation overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC